package com.ruoyi.project.invoice.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 预约开票申请对象 t_approve_reserve_invoice
 *
 * @author ruoyi
 * @date 2022-08-29
 */
public class TApproveReserveInvoice extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 申请人id
     */
    @Excel(name = "申请人id")
    private Long userId;

    /**
     * 装置经理
     */
    @Excel(name = "装置经理")
    private Long managerconId;

    /**
     * 用户主管
     */
    @Excel(name = "用户主管")
    private Long userSupId;

    /**
     * 装置工程师
     */
    @Excel(name = "装置工程师")
    private Long devEngineerId;

    /**
     * 班长
     */
    @Excel(name = "班长")
    private Long monitorId;

    /**
     * 设备类型：
     */
    @Excel(name = "设备类型：")
    private Long devType;

    /**
     * 审批类型
     */
    @Excel(name = "审批类型")
    private Long approveType;

    /**
     * 内容
     */
    @Excel(name = "内容")
    private String content;

    /**
     * 附件url
     */
    @Excel(name = "附件url")
    private String fileUrls;

    /**
     * 申请状态 0:审批中 1-通过 2-拒绝
     */
    @Excel(name = "申请状态 0:审批中 1-通过 2-拒绝")
    private Long status;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enddate;

    /**
     * 流程id
     */
    @Excel(name = "流程id")
    private String processId;

    /**
     * 申请编号（唯一）
     */
    @Excel(name = "申请编号", readConverterExp = "唯=一")
    private String apNo;

    /**
     * 删除标识
     */
    private Long delFlag;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 装置主管
     */
    @Excel(name = "装置主管")
    private Long devSupId;

    /**
     * 装置主管
     */
    @Excel(name = "关联票据id")
    private String invoiceId;

    @TableField(exist = false)
    private String isToday;
    @TableField(exist = false)
    private String isSpecial;

    @TableField(exist = false)
    private List<Object> devList;

    public List<Object> getDevList() {
        return devList;
    }

    public void setDevList(List<Object> devList) {
        this.devList = devList;
    }

    public String getIsToday() {
        return isToday;
    }

    public void setIsToday(String isToday) {
        this.isToday = isToday;
    }

    public String getIsSpecial() {
        return isSpecial;
    }

    public void setIsSpecial(String isSpecial) {
        this.isSpecial = isSpecial;
    }

    public String getInvoiceId() {
        return invoiceId;
    }

    public void setInvoiceId(String invoiceId) {
        this.invoiceId = invoiceId;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setManagerconId(Long managerconId) {
        this.managerconId = managerconId;
    }

    public Long getManagerconId() {
        return managerconId;
    }

    public void setUserSupId(Long userSupId) {
        this.userSupId = userSupId;
    }

    public Long getUserSupId() {
        return userSupId;
    }

    public void setDevEngineerId(Long devEngineerId) {
        this.devEngineerId = devEngineerId;
    }

    public Long getDevEngineerId() {
        return devEngineerId;
    }

    public void setMonitorId(Long monitorId) {
        this.monitorId = monitorId;
    }

    public Long getMonitorId() {
        return monitorId;
    }

    public void setDevType(Long devType) {
        this.devType = devType;
    }

    public Long getDevType() {
        return devType;
    }

    public void setApproveType(Long approveType) {
        this.approveType = approveType;
    }

    public Long getApproveType() {
        return approveType;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent() {
        return content;
    }

    public void setFileUrls(String fileUrls) {
        this.fileUrls = fileUrls;
    }

    public String getFileUrls() {
        return fileUrls;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setCreattime(Date creattime) {
        this.creattime = creattime;
    }

    public Date getCreattime() {
        return creattime;
    }

    public void setEnddate(Date enddate) {
        this.enddate = enddate;
    }

    public Date getEnddate() {
        return enddate;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getProcessId() {
        return processId;
    }

    public void setApNo(String apNo) {
        this.apNo = apNo;
    }

    public String getApNo() {
        return apNo;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDevSupId(Long devSupId) {
        this.devSupId = devSupId;
    }

    public Long getDevSupId() {
        return devSupId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("managerconId", getManagerconId())
                .append("userSupId", getUserSupId())
                .append("devEngineerId", getDevEngineerId())
                .append("monitorId", getMonitorId())
                .append("devType", getDevType())
                .append("approveType", getApproveType())
                .append("content", getContent())
                .append("fileUrls", getFileUrls())
                .append("status", getStatus())
                .append("creattime", getCreattime())
                .append("enddate", getEnddate())
                .append("processId", getProcessId())
                .append("apNo", getApNo())
                .append("delFlag", getDelFlag())
                .append("deptId", getDeptId())
                .append("devSupId", getDevSupId())
                .append("invoiceId", getInvoiceId())
                .append("isSpecial", getIsSpecial())
                .append("isToday", getIsToday())
                .toString();
    }
}
